#ifndef KRAB_H 
#define KRAB_H 

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

#include <kapp.h>
#include <ktopwidget.h>
#include "krabwidget.h"
#include <kmsgbox.h>

class Krab : public KTopLevelWidget
{
	Q_OBJECT
public:
	Krab(QWidget *parent = 0, const char *name = 0);
	virtual ~Krab();

protected slots:
	void quit_krabber();
	void enable_widgets( bool );
	void invokeHelp();
	void aboutme();
	void new_status_info_emited(QString);
	void delete_all();
	void delete_some();
	void settings_gen();
	void select_files();
	void system_check();

private:
	TodoList *tdlist;
	KMenuBar   *menuBar;
	QPopupMenu *file_menu;
	KStatusBar *statusBar;
	KToolBar   *toolBar;
	KrabWidget *view;
	QPixmap    *QPix_tool_1;
	QPixmap    *QPix_tool_2;
	QPixmap    *QPix_tool_3;
	bool enabled;
};

#endif // KRAB_H 
